﻿Public Class Employee

  Public Sub New()
  End Sub

  Public Sub LoadPhoto()
    If (Me.Photo Is Nothing) Then
      Dim data As Byte() = ApplicationProcess.Current.DataProvider.LoadEmployeePhoto(Me.DataEmployee.ID)
      Me.Photo = data
    End If
  End Sub

  Friend Property DataEmployee() As DataModel.Employee
    Get
      Return _DataEmployee
    End Get
    Set(ByVal value As DataModel.Employee)
      _DataEmployee = value
    End Set
  End Property
  Private _DataEmployee As DataModel.Employee

  Public Property FirstName() As String
    Get
      Return _FirstName
    End Get
    Set(ByVal value As String)
      _FirstName = value
    End Set
  End Property
  Private _FirstName As String

  Public Property LastName() As String
    Get
      Return _LastName
    End Get
    Set(ByVal value As String)
      _LastName = value
    End Set
  End Property
  Private _LastName As String

  Public Property Photo() As Byte()
    Get
      Return _Photo
    End Get
    Set(ByVal value As Byte())
      _Photo = value
    End Set
  End Property
  Private _Photo As Byte()

  Public Property Title() As String
    Get
      Return _Title
    End Get
    Set(ByVal value As String)
      _Title = value
    End Set
  End Property
  Private _Title As String

  Public Property TitleOfCourtesy() As String
    Get
      Return _TitleOfCourtesy
    End Get
    Set(ByVal value As String)
      _TitleOfCourtesy = value
    End Set
  End Property
  Private _TitleOfCourtesy As String

  Friend Shared Function FromDataModel(ByVal dataEmployee As DataModel.Employee) As Employee
    Dim employee As Employee = IIf(dataEmployee.IsManager, New Manager, New Employee)
    employee.DataEmployee = dataEmployee
    employee.LastName = dataEmployee.LastName
    employee.FirstName = dataEmployee.FirstName
    employee.TitleOfCourtesy = dataEmployee.TitleOfCourtesy
    employee.Title = dataEmployee.Title
    employee.Photo = dataEmployee.Photo
    Return employee
  End Function

  Friend Function ToDataModel() As DataModel.Employee
    If (Me.DataEmployee Is Nothing) Then
      Me.DataEmployee = New DataModel.Employee
    End If
    Me.DataEmployee.LastName = Me.LastName
    Me.DataEmployee.FirstName = Me.FirstName
    Me.DataEmployee.TitleOfCourtesy = Me.TitleOfCourtesy
    Me.DataEmployee.Title = Me.Title
    Me.DataEmployee.Photo = Me.Photo
    Return Me.DataEmployee
  End Function
End Class
