﻿Imports Lobs.DataModel

Public Class KeyTables
  ' Methods
  Public Sub New()
    Me._categories = New List(Of Category)
    Me._shippers = New List(Of Shipper)
  End Sub

  Friend Sub SetCategories(ByVal categories As IEnumerable(Of DataModel.Category))
    Dim category As DataModel.Category
    For Each category In categories
      Me._categories.Add(ApplicationModel.Category.FromDataModel(category))
    Next
  End Sub

  Friend Sub SetShippers(ByVal shippers As IEnumerable(Of DataModel.Shipper))
    Dim shipper As DataModel.Shipper
    For Each shipper In shippers
      Me._shippers.Add(ApplicationModel.Shipper.FromDataModel(shipper))
    Next
  End Sub

  Public ReadOnly Property Cagegories() As IEnumerable(Of Category)
    Get
      Return _categories
    End Get
  End Property
  Private ReadOnly _categories As List(Of Category)

  Public ReadOnly Property Shippers() As IEnumerable(Of Shipper)
    Get
      Return _shippers
    End Get
  End Property
  Private ReadOnly _shippers As List(Of Shipper)
End Class
