﻿Public Class Product
  ' Methods
  Public Sub New()
    Me._dmo = New DataModel.Product
    Me.Category = New Category
  End Sub
  Friend Shared Function FromDataModel(ByVal dmProduct As DataModel.Product) As Product
    Dim product As New Product
    product._dmo = dmProduct
    product.Category = ApplicationProcess.Current.KeyTables.Cagegories.FirstOrDefault(Function(category As Category) (category.ID = dmProduct.CategoryID))
    Return product
  End Function

  Friend Function ToDataModel() As DataModel.Product
    Return Me._dmo
  End Function

  ' Properties
  Friend Property _dmo() As DataModel.Product
    Get
      Return __dmo
    End Get
    Set(ByVal value As DataModel.Product)
      __dmo = value
    End Set
  End Property
  Private __dmo As DataModel.Product

  Public Property Category() As Category
    Get
      Return _Category
    End Get
    Set(ByVal value As Category)
      _Category = value
    End Set
  End Property
  Private _Category As Category


  Public Property Name() As String
    Get
      Return Me._dmo.Name
    End Get
    Set(ByVal value As String)
      Me._dmo.Name = value
    End Set
  End Property

    Public Property UnitPrice As Decimal
    Get
      Return Me._dmo.UnitPrice
    End Get
    Set(ByVal value As Decimal)
      Me._dmo.UnitPrice = value
    End Set
  End Property

End Class
