﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using Lobs.ViewModel;

namespace Lobs.Views
{
  public partial class EmployeesView : Windows.UserControlBase
  {
    public EmployeesView()
    {
      InitializeComponent();
    }

    EmployeesViewModel ViewModel
    {
      get { return (EmployeesViewModel)DataContext; }
    }

    private void SyncLoad_Click(object sender, RoutedEventArgs e)
    {
      ViewModel.LoadEmployeesSynchron();
    }

    private void AsyncLoad_Click(object sender, RoutedEventArgs e)
    {
      ViewModel.LoadEmployeesAsynchron();
    }

    private void Clear_Click(object sender, RoutedEventArgs e)
    {
      ViewModel.Employees.Clear();
    }
  }
}
