﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Lobs.DataModel
{
  public class BaseClass
  {
    /// <summary>
    /// Gets or sets the Guid.
    /// </summary>
    public string ID { get; set; }

    /// <summary>
    /// Gets or sets the Original-Guid.
    /// </summary>
    public string OriginalID { get; set; }

    /// <summary>
    /// Gets or sets the IsActive flag.
    /// </summary>
    public bool IsActive { get; set; }

    /// <summary>
    /// Gets or sets the IsDeleted flag.
    /// </summary>
    public bool IsDeleted { get; set; }

    /// <summary>
    /// Gets or sets the IsDirty flag.
    /// </summary>
    public bool IsDirty { get; set; }


    public void Merge(BaseClass maBaseclass)
    {
      ID = maBaseclass.ID;
      OriginalID = maBaseclass.OriginalID;
      IsActive = maBaseclass.IsActive;
      IsDeleted = maBaseclass.IsDeleted;
    }
  }
}
