﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Lobs.DataModel.MockDataProvider
{
  public class MockDataProvider : IDataProvider
  {
    public static MockDataProvider CreateDataProvider()
    {
      return new MockDataProvider();
    }

    //public void Initialize()
    //{
    //  // nothing to do
    //}

    //public void Deinitialize()
    //{
    //  // nothing to do
    //}

    public IEnumerable<Category> LoadCategories()
    {
      var list = new List<Category>();
      list.Add(new Category { Name = "Cat 1" });
      list.Add(new Category { Name = "Cat 2" });
      list.Add(new Category { Name = "Cat 3" });
      return list;
    }

    public IEnumerable<Shipper> LoadShippers()
    {
      var list = new List<Shipper>();
      list.Add(new Shipper { Name = "Shipper 1" });
      list.Add(new Shipper { Name = "Shipper 2" });
      list.Add(new Shipper { Name = "Shipper 3" });
      return list;
    }

    public IEnumerable<Employee> LoadEmployees()
    {
      var list = new List<Employee>();
      list.Add(new Employee { FirstName = "Peter" });
      list.Add(new Employee { FirstName = "John" });
      return list;
    }

    public byte[] LoadEmployeePhoto(string id)
    {
      return null;
    }

    public void SaveEmployee(Employee employee)
    {
      // nothing to do
    }

    public void DeleteEmployee(Employee employee)
    {
      // nothing to do
    }

    public int SaveEmployees(IEnumerable<Employee> employees)
    {
      // nothing to do
      return 0;
    }

    public IEnumerable<Product> LoadProducts()
    {
      throw new NotImplementedException();
    }

    public void SaveProduct(Product product)
    {
      throw new NotImplementedException();
    }

    public void Dispose()
    {
      // nothing to do
    }

    #region IDataProvider Members



    #endregion
  }
}
