﻿' NOTE: If you change the class name "Service2" here, you must also update the reference to "Service2" in Web.config and in the associated .svc file.
Imports System.ServiceModel.Activation

<ServiceContract(Namespace:="")> _
<AspNetCompatibilityRequirements(RequirementsMode:=AspNetCompatibilityRequirementsMode.Allowed)> _
Public Class Service2
  Implements DataModel.IDataProvider

  Public Sub New()
  End Sub

  Shared Sub New()
    Config.Initialize()
    _dataprovider = DataModel.DataProviderFactory.GetProvider("access")
  End Sub

  Shared ReadOnly _dataprovider As DataModel.IDataProvider

  'Public Function GetData(ByVal value As Integer) As String Implements IService2.GetData
  '  Return String.Format("You entered: {0}", value)
  'End Function

  'Public Function GetDataUsingDataContract(ByVal composite As CompositeType) As CompositeType Implements IService2.GetDataUsingDataContract
  '  If composite.BoolValue Then
  '    composite.StringValue = (composite.StringValue & "Suffix")
  '  End If
  '  Return composite
  'End Function

  <OperationContract()> _
  Public Sub DeleteEmployee(ByVal employee As DataModel.Employee) Implements DataModel.IDataProvider.DeleteEmployee
    _dataprovider.DeleteEmployee(employee)
  End Sub

  <OperationContract()> _
  Public Function LoadCategories() As System.Collections.Generic.IEnumerable(Of DataModel.Category) Implements DataModel.IDataProvider.LoadCategories
    Return _dataprovider.LoadCategories()
  End Function

  <OperationContract()> _
  Public Function LoadEmployeePhoto(ByVal id As String) As Byte() Implements DataModel.IDataProvider.LoadEmployeePhoto
    Return _dataprovider.LoadEmployeePhoto(id)
  End Function

  <OperationContract()> _
  Public Function LoadEmployees() As System.Collections.Generic.IEnumerable(Of DataModel.Employee) Implements DataModel.IDataProvider.LoadEmployees
    Return _dataprovider.LoadEmployees()
  End Function

  <OperationContract()> _
  Public Function LoadProducts() As System.Collections.Generic.IEnumerable(Of DataModel.Product) Implements DataModel.IDataProvider.LoadProducts
    Return _dataprovider.LoadProducts()
  End Function

  <OperationContract()> _
  Public Function LoadShippers() As System.Collections.Generic.IEnumerable(Of DataModel.Shipper) Implements DataModel.IDataProvider.LoadShippers
    Return _dataprovider.LoadShippers()
  End Function

  <OperationContract()> _
  Public Sub SaveEmployee(ByVal employee As DataModel.Employee) Implements DataModel.IDataProvider.SaveEmployee
    _dataprovider.SaveEmployee(employee)
  End Sub

  <OperationContract()> _
  Public Function SaveEmployees(ByVal employees As System.Collections.Generic.IEnumerable(Of DataModel.Employee)) As Integer Implements DataModel.IDataProvider.SaveEmployees
    Return _dataprovider.SaveEmployees(employees)
  End Function

  <OperationContract()> _
  Public Sub SaveProduct(ByVal product As DataModel.Product) Implements DataModel.IDataProvider.SaveProduct
    Throw New NotImplementedException()
  End Sub
End Class
