﻿Imports System.ComponentModel
Imports System.Windows
Imports System.Windows.Markup
Imports Frmwrk.Windows.Controls.Basis
Imports Lobs.ViewModel

Namespace Lobs.Views
  Partial Public Class EmployeesView
    Inherits Lobs.Windows.UserControlBase
    ' Implements IComponentConnector
    ' Methods
    Public Sub New()
      Me.InitializeComponent()
    End Sub

    Private Sub xxxAsyncLoad_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
      Me.ViewModel.LoadEmployeesAsynchron()
    End Sub

    Private Sub xxxClear_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
      Me.ViewModel.Employees.Clear()
    End Sub

    '<DebuggerNonUserCode()> _
    'Public Sub InitializeComponent()

    Private Sub xxxSyncLoad_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
      Me.ViewModel.LoadEmployeesSynchron()
    End Sub

    '<EditorBrowsable(EditorBrowsableState.Never), DebuggerNonUserCode> _
    'Private Sub System.Windows.Markup.IComponentConnector.Connect(ByVal connectionId As Integer, ByVal target As Object) Implements IComponentConnector.Connect


    ' Properties
    Private ReadOnly Property ViewModel() As EmployeesViewModel
      Get
        Return DirectCast(MyBase.DataContext, EmployeesViewModel)
      End Get
    End Property

    Private Sub SyncLoad_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs)
      Me.ViewModel.LoadEmployeesSynchron()
    End Sub

    Private Sub AsyncLoad_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs)
      Me.ViewModel.LoadEmployeesAsynchron()
    End Sub

    Private Sub Clear_Click(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs)
      Me.ViewModel.Employees.Clear()
    End Sub
  End Class
End Namespace